Subject: Re: [Spasm] New Version Notification for draft-turner-est-extensions-07.txt

From: Sean Turner <[email-masked]>
Date: Fri, 30 Dec 2016 15:08:46 -0500

FYI - I went ahead and incorporated the comment I got in Seoul: Add JSON and use HTTP Accept headed to allow the client to indicate whether they support XML or JSON for the PAL.

spt

> On Dec 30, 2016, at 15:06, [email-masked] wrote:
> 
> 
> A new version of I-D, draft-turner-est-extensions-07.txt
> has been successfully submitted by Sean Turner and posted to the
> IETF repository.
> 
> Name:		draft-turner-est-extensions
> Revision:	07
> Title:		EST Extensions
> Document date:	2016-12-29
> Group:		Individual Submission
> Pages:		47
> URL:            https://www.ietf.org/internet-drafts/draft-turner-est-extensions-07.txt
> Status:         https://datatracker.ietf.org/doc/draft-turner-est-extensions/
> Htmlized:       https://tools.ietf.org/html/draft-turner-est-extensions-07
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-turner-est-extensions-07
> 
> Abstract:
>   The EST (Enrollment over Secure Transport) protocol defined a Well-
>   Known URI (Uniform Resource Identifier): /.well-known/est.  EST also
>   defined several path components that clients use for PKI (Public Key
>   Infrastructure) services, namely certificate enrollment (e.g.,
>   /simpleenroll).  In some sense, the services provided by the path
>   components can be thought of as PKI management-related packages.
>   There are additional PKI-related packages a client might need as well
>   as other security-related packages, such as firmware, trust anchors,
>   and symmetric, asymmetric, and encrypted keys.  This document also
>   specifies the PAL (Package Availability List), which is an XML
>   (Extensible Markup Language) file or JSON (Javascript Object
>   Notation) object that clients use to retrieve packages available and
>   authorized for them.  This document extends the EST server path
>   components to provide these additional services.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>